Subject: bug#5914: feature request and non-bug patches submit policy

From: Jim Meyering <[email-masked]>
Date: Sat, 10 Apr 2010 10:42:18 +0200

Sunil Mushran wrote:
...
>>> While I'm writing, here's one high-level question for you.
>>> When would your new --fiemap-sync option be useful, and what change
>>> in semantics will I see between when I use it and when I don't?
>>>
>>>          --fiemap-sync            sync file data before fiemap\n\
>>>
>> IMHO, there is no difference from the user's point of view with or without this option.
>> and on the kernel side, if FIEMAP_FLAG_SYNC was specified, it just do the dirty page process
>> regardless of the sync succeeds or failed due to ENOSPC or EIO or other errors.
>>
>> I need to do more investigation to answer this question.
>
> I would recommend using fiemap purely as a means to get the extent map to
> skip reading the holes when copying. That's it. And it should be used when
> available. No user options.

I agree.  Using fiemap is an optimization.
Enable it if possible, otherwise, work as usual.
No need for any change in the command-line interface.

Jeff, please eliminate both --fiemap and --fiemap-sync
in your next iteration.

If someone makes a good case for exposing a fiemap-related
option, we can always add it later.